Redmine - Defect #9018

Problem configuring subversion SCM
2011-08-09 16:00 - W N

Status: New Start date: 2011-08-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.2.1
Description

Hi matter how | would configure the svn command it does not work. Allways displays "Scm command not available. Please check
settings on the administration panel." If | go to the admin panel | see the command I've put in but there is still red exclamation sign.
Can you please provide some feedback how to solve this. | have already tried:

- upgrade of svn to version 1.6.x

- setting PATH in environment.rb

- change SVN_BIN in subversion_adapter.rb and adding stuff for certificates handling

- setting scm_subversion_command in configuration.yml

None of these works....

History

#1-2011-08-09 16:01 - W N
| forgot to say that Redmine is on MySQL, CentOS via httpd.

#2 - 2011-08-09 23:39 - Toshi MARUYAMA
- Category set to SCM
- Priority changed from High to Normal

#3 - 2011-08-13 20:45- W N

with 1.2.0 same setup works perfectly correctly (with default config)

#4 - 2011-09-21 10:49 - Nandana Mihindukulasooriya

| faced the exact same issue after upgrading from 1.0.1 to 1.2.1. Is this a bug in 1.2.1 ? Are there any work around for this ? This has become a
show-stopper for us. Thanks.

Best Regards,

Nandana
